MyGUI: MyGUI::ResourceImageSet Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions | Friends
MyGUI::ResourceImageSet Class Reference

`#include <MyGUI_ResourceImageSet.h>`

Inheritance diagram for MyGUI::ResourceImageSet:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ResourceImageSet | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type >
bool | isType () const
ImageIndexInfo | getIndexInfo (const std::string &_group, const std::string &_index) const
ImageIndexInfo | getIndexInfo (size_t _group, const std::string &_index) const
ImageIndexInfo | getIndexInfo (const std::string &_group, size_t _index) const
ImageIndexInfo | getIndexInfo (size_t _group, size_t _index) const
ImageIndexInfo | getIndexInfo (const IntSize &_group, size_t _index) const
ImageIndexInfo | getIndexInfo (const IntSize &_group, const std::string &_index) const
EnumeratorGroupImage | getEnumerator () const
void | AddGroupImage (const GroupImage &_group)
Public Member Functions inherited from MyGUI::IResource
template<typename Type >
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (const std::string &_value)
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()=default
virtual | ~IObject ()=default

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Friends
class | GenericFactory< ResourceImageSet >

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::IResource
| IResource ()=default
| ~IResource () override=default
| IResource (IResource const &)=delete
IResource & | operator= (IResource const &)=delete
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 26 of file MyGUI_ResourceImageSet.h.

## Member Typedef Documentation

## ◆ Base

RTTIBase MyGUI::ResourceImageSet::Base

Definition at line 31 of file MyGUI_ResourceImageSet.h.

## ◆ RTTIBase

ResourceImageSet MyGUI::ResourceImageSet::RTTIBase

Definition at line 31 of file MyGUI_ResourceImageSet.h.

## Member Function Documentation

## ◆ AddGroupImage()

void MyGUI::ResourceImageSet::AddGroupImage | ( | const GroupImage & | _group | ) |

Definition at line 192 of file MyGUI_ResourceImageSet.cpp.

## ◆ getClassTypeName()

static const std::string & MyGUI::ResourceImageSet::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 31 of file MyGUI_ResourceImageSet.h.

## ◆ getEnumerator()

EnumeratorGroupImage MyGUI::ResourceImageSet::getEnumerator | ( |  | ) | const

Get groups Enumerator

Definition at line 187 of file MyGUI_ResourceImageSet.cpp.

## ◆ getIndexInfo() [1/6]

ImageIndexInfo MyGUI::ResourceImageSet::getIndexInfo | ( | const IntSize & | _group,
|  | const std::string & | _index ) const

Definition at line 140 of file MyGUI_ResourceImageSet.cpp.

## ◆ getIndexInfo() [2/6]

ImageIndexInfo MyGUI::ResourceImageSet::getIndexInfo | ( | const IntSize & | _group,
|  | size_t | _index ) const

Definition at line 125 of file MyGUI_ResourceImageSet.cpp.

## ◆ getIndexInfo() [3/6]

ImageIndexInfo MyGUI::ResourceImageSet::getIndexInfo | ( | const std::string & | _group,
|  | const std::string & | _index ) const

Definition at line 65 of file MyGUI_ResourceImageSet.cpp.

## ◆ getIndexInfo() [4/6]

ImageIndexInfo MyGUI::ResourceImageSet::getIndexInfo | ( | const std::string & | _group,
|  | size_t | _index ) const

Definition at line 96 of file MyGUI_ResourceImageSet.cpp.

## ◆ getIndexInfo() [5/6]

ImageIndexInfo MyGUI::ResourceImageSet::getIndexInfo | ( | size_t | _group,
|  | const std::string & | _index ) const

Definition at line 81 of file MyGUI_ResourceImageSet.cpp.

## ◆ getIndexInfo() [6/6]

ImageIndexInfo MyGUI::ResourceImageSet::getIndexInfo | ( | size_t | _group,
|  | size_t | _index ) const

Definition at line 111 of file MyGUI_ResourceImageSet.cpp.

## ◆ getTypeName()

virtual const std::string & MyGUI::ResourceImageSet::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::IResource.

Definition at line 31 of file MyGUI_ResourceImageSet.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ResourceImageSet::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 31 of file MyGUI_ResourceImageSet.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ResourceImageSet::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::IResource.

Definition at line 31 of file MyGUI_ResourceImageSet.h.

## Friends And Related Symbol Documentation

## ◆ GenericFactory< ResourceImageSet >

friend class GenericFactory< ResourceImageSet >
| friend

Definition at line 24 of file MyGUI_ResourceImageSet.h.

The documentation for this class was generated from the following files:

- MyGUI_ResourceImageSet.h
- MyGUI_ResourceImageSet.cpp